> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/deposits/create-deposits/credit-cards/basic-deposits/server2server.md).

# Server2Server

### **Deposit with card information (Server2Server)**

{% stepper %}
{% step %}

#### Create a deposit request to our PCI endpoint

The deposit request must include the **`credit_card[]`** object containing all the card details.

Note that the default response of this endpoint in synchronous.

{% tabs %}
{% tab title="Example request" %}

<pre class="language-javascript"><code class="lang-javascript">curl -L \
  --request POST \
<strong>  --url 'https://cc-api-stg.pandablue.com/v3/deposits' \
</strong>  --header 'Content-Type: application/json' \
  --header 'X-Date: 2025-07-15T12:57:14.936Z' \
  --header 'X-Login: text' \
  --header 'Authorization: text' \
  --data '{
    "invoice_id": "800000001",
    "amount": 1000,
    "country": "BR",
    "currency": "BRL",
    "payer": {
      "id": "11111",
      "document": "84932568207",
      "document_type": "CPF",
      "email": "johnSmith12@hotmail.com",
      "first_name": "John",
      "last_name": "Smith"
    },
<strong>    "credit_card": {
</strong><strong>      "cvv": "123",
</strong><strong>      "number": "4111111111111111",
</strong><strong>      "expiration_month": "10",
</strong><strong>      "expiration_year": "25",
</strong><strong>      "holder_name": "JOHN SMITH"
</strong>    },
    "client_ip": "123.123.123.123"
  }'
</code></pre>

{% endtab %}

{% tab title="Example response" %}

```json
{
  "deposit_id": 300604089,
  "user_id": "80000001",
  "merchant_invoice_id": "800000001",
  "payment_info": {
    "type": "CREDIT_CARD",
    "result": "SUCCESS",
    "payment_method": "VI",
    "payment_method_name": "Visa",
    "amount": 1000,
    "currency": "BRL",
    "created_at": "2025-07-15T12:57:14.936Z"
  }
}
```

{% endtab %}
{% endtabs %}
{% endstep %}

{% step %}

#### Retrieve the Deposit final status

Even though that this endpoint is mostly synchronous, we may eventually send webhooks to notify changes within a deposit.&#x20;

These webhook notifications contain the **`deposit_id`** for you to retrieve the status.

```json
{
  "deposit_id": 300604089
}
```

{% hint style="info" %}

### For more information on this point visit <a href="/deposits/create-deposits/notifications.md" class="button primary" data-icon="message-medical">Notifications</a>.

{% endhint %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pandablue.com/deposits/create-deposits/credit-cards/basic-deposits/server2server.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
